Publications
Reject a publication approval request
POST
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
rejectionReason?stringLength
length <= 500Response for status 200
application/json- response
request*curl -X POST 'https://postbot.example/api/projects/string/publications/string/approval-request/reject' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"request": {
"id": "string",
"projectId": "string",
"publicationId": "string",
"targetRevisionId": "string",
"draftRevision": -9007199254740991,
"proposedScheduledAt": -9007199254740991,
"state": "pending",
"requestedByActorId": "string",
"decidedByActorId": "string",
"decidedAt": -9007199254740991,
"scheduledAt": -9007199254740991,
"rejectionReason": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991
}
}